ALTER TABLE `user` ADD COLUMN `shop_balls` INT(11) NOT NULL;

CREATE TABLE `shop` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(512) NOT NULL,
  `about` varchar(1024) NOT NULL,
  `hidden` varchar(1024) NOT NULL,
  `balls` int(11) default NULL,
  `up` int(11) default NULL,
  `del` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `up` (`up`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `shop_pay` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(512) NOT NULL,
  `about` varchar(1024) NOT NULL,
  `hidden` varchar(1024) NOT NULL,
  `balls` INT(11) NOT NULL,
  `user_id` INT(11) NOT NULL,
  `time` INT(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `shop_komm` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` int(11) NOT NULL,
  `id_shop` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) character set utf8 collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`id`),
  KEY `id_shop` (`id_shop`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `shop_ref` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` INT(11) NOT NULL,
  `id_ref` INT(11) NOT NULL,
  `time` INT(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_user` (`id_user`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;