CREATE TABLE `gorod_bazar` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 150 ) NOT NULL ,
 `price` INT NOT NULL ,
 `life` INT NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_band` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 50 ) NOT NULL ,
 `glava` VARCHAR( 32 ) NOT NULL ,
 `zarplata` INT NOT NULL ,
 `bal` INT NOT NULL ,
 `kill` INT NOT NULL ,
 `balans` INT NOT NULL ,
 `opis` VARCHAR( 250 ) NOT NULL ,
 `open` VARCHAR( 3 ) NOT NULL ,
 `needbal` INT NOT NULL ,
 `krishaopen` VARCHAR( 3 ) NOT NULL ,
 `price` INT NOT NULL ,
 `krishaprice` INT NOT NULL ,
 `strana` VARCHAR( 5 ) NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_mobi` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 50 ) NOT NULL ,
 `path` VARCHAR( 15 ) NOT NULL ,
 `price` INT NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_firm` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 50 ) NOT NULL ,
 `opis` VARCHAR( 250 ) NOT NULL ,
 `lasttake` BIGINT NOT NULL ,
 `dohod` INT NOT NULL ,
 `balans` INT NOT NULL ,
 `user` VARCHAR( 32 ) NOT NULL ,
 `date` BIGINT NOT NULL ,
 `update` BIGINT NOT NULL ,
 `pritok` INT NOT NULL,
 `birga` VARCHAR( 3 ) NOT NULL,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_tur` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 50 ) NOT NULL ,
 `opis` VARCHAR( 250 ) NOT NULL ,
 `price` INT NOT NULL ,
 `path` VARCHAR( 15 ) NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_invent` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `uid` INT NOT NULL ,
 `name` VARCHAR( 150 ) NOT NULL ,
 `life` SMALLINT NOT NULL ,
 `type` VARCHAR( 50 ) NOT NULL ,
 `price` BIGINT NOT NULL ,
 `uron` INT NOT NULL,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_zaks` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `date` BIGINT NOT NULL ,
 `on` VARCHAR( 32 ) NOT NULL ,
 `ona` VARCHAR( 32 ) NOT NULL ,
 `onyes` VARCHAR( 3 ) NOT NULL ,
 `onayes` VARCHAR( 3 ) NOT NULL ,
 `avtor` VARCHAR( 32 ) NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_zoo` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `user` VARCHAR( 32 ) NOT NULL ,
 `path` VARCHAR( 15 ) NOT NULL ,
 `name` VARCHAR( 32 ) NOT NULL ,
 `where` VARCHAR( 32 ) NOT NULL ,
 `opis` VARCHAR( 150 ) NOT NULL ,
 `fam` VARCHAR( 50 ) NOT NULL ,
 `poroda` VARCHAR( 50 ) NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gorod_tbega` (
 `id` INT NOT NULL AUTO_INCREMENT ,
 `name` VARCHAR( 32 ) NOT NULL ,
 `bet` SMALLINT NOT NULL ,
 `last` VARCHAR( 32 ) NOT NULL ,
 PRIMARY KEY ( `id` ) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8;